<?php
session_start();
include_once("../scripts/connect.php");
include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
	header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session

     $conexion=conecta_default();
  $ok=0;

$idin = $_POST['idinv'];
if(empty($idin))
$idin = 2;

$qa = "SELECT id_inver, rfc, nombre, appat, apmat FROM inversionista WHERE id_inver = '".$idin."'";
$ca = mysqli_query($conexion, $qa) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));

	$ra = mysqli_fetch_object($ca);	
	$id = $ra->id_inver;
	$rfc = $ra->rfc;
	if($idin == 2)
	$nombre = $ra->nombre;
	else
	$nombre = "$ra->nombre $ra->appat $ra->apmat";
?>

<html>
 <head>
 <meta http-equiv="content-type" content="text/html; charset=Windows-1252">
  <title></title>
 <script language="JavaScript1.2" type="text/javascript">  
     var estados_1=new Array("Aguascalientes", "B.C. Norte","B.C. Sur","Campeche", "Chiapas", "Chiuahua","Coahuila", 
     "Colima","Durango","Guanajuato","Guerrero","Hidalgo","Jalisco","Mexico","Michoacan","Morelos","Nayarit","Nuevo Leon",
     "Oaxaca","Puebla","Queretaro","Quintana Roo","San Luis Potosi","Sinaloa","Sonora","Tabasco","Tamaulipas","Tlaxcala",
     "Veracruz","Yucatan","Zacatecas")
     //var estados_2=new Array("Alabama","California","Chicago","Washington")  
      
    function cambia_estado(){
  	//tomo el valor del select del pais elegido
    var pais
    pais = document.f1.pais[document.f1.pais.selectedIndex].value
    //miro a ver si el pais est� definido
    if (pais == 1) {
       document.f1.estado.disabled = false
    	//si estaba definido, entonces coloco las opciones del estado correspondiente.
       //selecciono el array de estado adecuado
       estados=eval("estados_" + pais)
       //calculo el numero de estados
       num_estados = estados.length
       //marco el n�mero de estados en el select
       document.f1.estado.length = num_estados
       //para cada estado del array, la introduzco en el select
       for(i=0;i<num_estados;i++){
          document.f1.estado.options[i].value=i+1
          document.f1.estado.options[i].text=estados[i]
       }
    }else{
       //si no hab�a estado seleccionada, elimino los estados del select
       document.f1.estado.length = 1
       //coloco un gui�n en la �nica opci�n que he dejado
       document.f1.estado.options[0].value = "0"
       document.f1.estado.options[0].text = "-"
       document.f1.estado.disabled = true
    }
    //marco como seleccionada la opci�n primera de estados
    document.f1.estado.options[0].selected = true
}

function checkCapsLock(e,a) {
	var myKeyCode=0;
	var myShiftKey=false;
	var myMsg='Por tu seguridad las may�sculas NO est�n permitidas.\n\nPara evitar escribir tu password incorrectamente,\nescr�bela en min�sculas.';

	// Internet Explorer 4+
	if ( document.all ) {
		myKeyCode=e.keyCode;
		myShiftKey=e.shiftKey;

	// Netscape 4
	} else if ( document.layers ) {
		myKeyCode=e.which;
		myShiftKey=( myKeyCode == 16 ) ? true : false;

	// Netscape 6
	} else if ( document.getElementById ) {
		myKeyCode=e.which;
		myShiftKey=( myKeyCode == 16 ) ? true : false;

	}

	// Upper case letters are seen without depressing the Shift key, therefore Caps Lock is on
	if ( ( myKeyCode >= 65 && myKeyCode <= 90 ) && !myShiftKey ) {
		{
			alert( myMsg );
			return false;	
		}
		

	// Lower case letters are seen while depressing the Shift key, therefore Caps Lock is on
	} else if ( ( myKeyCode >= 97 && myKeyCode <= 122 ) && myShiftKey ) {
		{
			alert( myMsg );
			return false;
		}
	}
}

function capLock(e){
  kc=e.keyCode?e.keyCode:e.which;
  sk=e.shiftKey?e.shiftKey:((kc==16)?true:false);
  if(((kc>=65&&kc<=90)&&!sk)||((kc>=97&&kc<=122)&&sk))
    document.getElementById('caplock').style.visibility = 'visible';
  else document.getElementById('caplock').style.visibility = 'hidden';
} 


function mi_cuenta()
{
    var banc
    banc = document.f1.banco[document.f1.banco.selectedIndex].value
    if (banc != 0) {
       document.f1.cuenta.disabled = false
       }
    else{
       document.f1.cuenta.value = ''
       document.f1.cuenta.disabled = true
      }
   }

function passwords(a,b)
{
	if(a.value == b.value)
	return 1;
	else
	return 0;
}
   
function ValidarAlfanumerico(cadena) {
var numeros="0123456789";
for (var i=0;i<cadena.length;i++) {
	if (numeros.indexOf(cadena.substring(i,i+1))!=-1){
		return false;
		}
	}
return true;
}

function ValidarNumerico(cadena) {
var numeros="0123456789";
for (var i=0;i<cadena.length;i++) {
	if (numeros.indexOf(cadena.substring(i,i+1))==-1){
		return false;
		}
	}
return true;
}

function ValidarEmail(cadena) {
var i;
i=cadena.indexOf('@');
if (i!=-1) {
	if (cadena.indexOf('.',i)!=-1) {
		return true;
		}
}
return false;
}


function CadenaVacia(cadena) {
if (cadena.length==0){
	return true;
	}
else {
	return false;
	}
}

function CadenaVaciaBlancos(cadena) {
var salida='';
for (var i=0;i<cadena.length;i++) {
	if (cadena.substring(i,i+1)!=' ')
		salida=salida+cadena.substring(i,i+1);
	}
if (salida.length==0){
	return true;
	}
else {
	return false;
	}
}
function validar_radio(cadena)
{
var ban;
ban = 1;
for (var i=0; i<cadena.length; i++) 
{
if (cadena[i].checked) 
 { ban = 0; break;}
 
 } 
 return ban;
}

function mayus(x)
{
 x.value=x.value.toUpperCase();
} 

function ValidarForm(e) {	

	if (CadenaVaciaBlancos(e.rfc.value)) {
	alert("El campo RFC es obligatorio");
	e.rfc.select();
	return false;
	}	
	if (CadenaVaciaBlancos(e.apat.value)) {
	alert("El campo apellido paterno es obligatorio");
	e.apat.select();
	return false;
	}	
	if (CadenaVaciaBlancos(e.amat.value)) {
	alert("El campo apellido materno es obligatorio");
	e.amat.select();
	return false;
	}
	if (CadenaVaciaBlancos(e.noms.value)) {
	alert("El campo nombre es obligatorio");
	e.noms.select();
	return false;
	}
	if (CadenaVaciaBlancos(e.dom.value)) {
	alert("El campo domicilio es obligatorio");
	e.apat.select();
	return false;
	}
	if (CadenaVaciaBlancos(e.col.value)) {
	alert("El campo colonia es obligatorio");
	e.col.select();
	return false;
	}
	if(e.pais[e.pais.selectedIndex].value == 0)
	{
	alert("Por favor selecciona tu pais")
	return false	
	}
	if (CadenaVaciaBlancos(e.ciud.value)) {
	alert("El campo ciudad es obligatorio");
	e.ciud.select();
	return false;
	}
	if (CadenaVaciaBlancos(e.tel1.value)) {
	alert("Por lo menos escribe un telefono");
	e.tel1.select();
	return false;
	}
	if(!ValidarNumerico(e.tel1.value))
	{
		alert("Solo escribe numeros en el campo Telefono 1")
		e.tel1.select()
		return false
	}
	if(!CadenaVaciaBlancos(e.tel2.value))
	{ 
		if(!ValidarNumerico(e.tel2.value))
		{
		alert("Solo escribe numeros en el campo Telefono 2 o dejalo en blanco")
		e.tel2.select()
		return false
		}	
	}
	if(!CadenaVaciaBlancos(e.email.value))
	{ 
		if(!ValidarEmail(e.email.value))
		{
		alert("El email esta mal escrito, verificalo o dejalo en blanco")
		e.email.select()
		return false
		}	
	}
	if (CadenaVaciaBlancos(e.cp.value)) {
	alert("El campo C.P. es obligatorio");
	e.cp.select();
	return false;
	}
	if (validar_radio(e.edociv) == 1){
 	alert("No has seleccionado un estado civil")
	 return false
	}
	if(e.banco[e.banco.selectedIndex].value != 0)
	{
		if(CadenaVaciaBlancos(e.cuenta.value))
		{ 
			alert("Por favor escribe tu numero de cuenta o no selecciones un banco")
			return false		
		}
	}	
	if (CadenaVaciaBlancos(e.psw1.value)){
 	alert("Escribe las dos contrase�as por favor");
 	e.psw1.select();
 	return false;
	}
	if (CadenaVaciaBlancos(e.psw2.value)){
 	alert("Escribe las dos contrase�as por favor");
 	e.psw2.select();
 	return false;
	}
	if(passwords(e.psw1,e.psw2) == 0)
	{
		alert("Las contrase�as no son iguales, verifique por favor")
		e.psw1.select();
	 	return false
	}
	if(e.psw1.value.length < 6)
	{
		alert("Escriba por lo menos 6 caracteres como contrasena")
		e.psw1.select();
		return false
	}	
}
</script> 
<script language="JavaScript" src="popcalendar.js"></script> 
 </head>

<body onLoad="document.f1.rfc.select()">
<br />

<form name="f1" action="regs.php" method="post">
<table border="0" width="600" height="700" align="center" style="background: url(usuario_comun/logotrans.gif)">
	<tr height="50">
	 <td colspan="2"><label style="color:#5C3C12">RFC Promotor:</label> <?php echo $rfc; ?> </td>
	</tr>
	<tr height="50">
	 <td colspan="2"><label style="color:#5C3C12">Nombre Promotor:</label> <?php echo "$nombre."; ?> </td>
	</tr>
	<tr height="50">
	 <td colspan="2"><label style="color:#5C3C12">RFC:</label> <input type="text" size="12" maxlength="10" name="rfc" value="<?php if (isset($_POST['rfc'])) echo $_POST['rfc']; ?>" onBlur="mayus(this)" style="font-family: Times New Roman;text-transform:uppercase;"> </td>
	</tr>
	<tr height="50">
	 <td><label style="color:#5C3C12">Apellido Paterno:</label> <input type="text" size="20" maxlength="20" name="apat" value="" style="font-family: Times New Roman"> </td>
	 <td><label style="color:#5C3C12">Apellido Materno:</label> <input type="text" size="20" maxlength="20" name="amat" value="" style="font-family: Times New Roman"> </td>
	 <td><label style="color:#5C3C12">Nombre(s):</label> <input type="text" size="30" maxlength="30" name="noms" value="" style="font-family: Times New Roman"> </td>
	</tr>
	<tr height="50">
	 <td><label style="color:#5C3C12">Domicilio:</label> <input type="text" size="25" maxlength="50" name="dom" value="" style="font-family: Times New Roman"> </td>
	 <td><label style="color:#5C3C12">Colonia:</label> <input type="text" size="25" maxlength="25" name="col" value="" style="font-family: Times New Roman"> </td>
	 <td><label style="color:#5C3C12">Delegaci&oacute;n/Sector(opcional):</label> <input type="text" size="25" maxlength="25" name="sec" value="" style="font-family: Times New Roman"> </td>
	</tr>
	<tr height="50">
	 <td><label style="color:#5C3C12">Pa&iacute;s:</label> <select name="pais" onChange="cambia_estado()">
	 													   <option value='0' selected> Selecciona...</option>
	 													   <?php 
	 													   $qa = "SELECT * FROM pais";
														   $ca = mysqli_query($conexion, $qa) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
	 													   $j=1;
														   while($reg = mysqli_fetch_array($ca))
														   {
														   echo "<option value='$j'>".$reg['descripcion'].'</option>';
														   $j++;
														   }
	 													   ?>
	 													   </select> </td>
	 <td><label style="color:#5C3C12">Ciudad:</label> <input type="text" size="20" maxlength="20" name="ciud" value="" style="font-family: Times New Roman"> </td>
	 <td><label style="color:#5C3C12">Estado:</label><select name="estado" disabled="True">
														   <option value="0">-</option>
	 													   </select></td>
	 
	</tr>
	<tr height="50">
	 <td><label style="color:#5C3C12">Tel. Fijo o Celular:</label> <input type="text" size="20" maxlength="18" name="tel1" value="" style="font-family: Times New Roman"> </td>
	 <td><label style="color:#5C3C12">Otro tel.(opcional):</label> <input type="text" size="20" maxlength="18" name="tel2" value="" style="font-family: Times New Roman"> </td>
	 <td><label style="color:#5C3C12">Email.(opcional):</label> <input type="text" size="30" maxlength="45" name="email" value="" style="font-family: Times New Roman"> </td>
	</tr>
	<tr height="50">
	 <td><label style="color:#5C3C12">C.P.:</label> <input type="text" size="7" maxlength="5" name="cp" value="" style="font-family: Times New Roman">
</td>
	 <td colspan="2"><label style="color:#5C3C12">Fecha de Nacimiento: </label>
	 <select name="dia">
	 <option value="1">1</option>
	 <option value="2">2</option>
	 <option value="3">3</option>
	 <option value="4">4</option>
	 <option value="5">5</option>
	 <option value="6">6</option>
	 <option value="7">7</option>
	 <option value="8">8</option>
	 <option value="9">9</option>
	 <option value="10">10</option>
	 <option value="11">11</option>
	 <option value="12">12</option>
	 <option value="13">13</option>
	 <option value="14">14</option>
	 <option value="15">15</option>
	 <option value="16">16</option>
	 <option value="17">17</option>
	 <option value="18">18</option>
	 <option value="19">19</option>
	 <option value="20">20</option>
	 <option value="21">21</option>
	 <option value="22">22</option>
	 <option value="23">23</option>
	 <option value="24">24</option>
	 <option value="25">25</option>
	 <option value="26">26</option>
	 <option value="27">27</option>
	 <option value="28">28</option>
	 <option value="29">29</option>
	 <option value="30">30</option>
	 <option value="31">31</option>
	 </select>
	 <select name="mes">
	 <option value="01"> Enero</option>
	 <option value="02"> Febrero</option>
	 <option value="03"> Marzo</option>
	 <option value="04"> Abril</option>
	 <option value="05"> Mayo</option>
	 <option value="06"> Junio</option>
	 <option value="07"> Julio</option>
	 <option value="08"> Agosto</option>
	 <option value="09"> Septiembre</option>
	 <option value="10"> Octubre</option>
	 <option value="11"> Noviembre</option>
	 <option value="12"> Diciembre</option>
	 </select>
	 <select name="anio">
	 
	 <?php
	 $x = 1920;
	 for($x;$x<2016;$x++)
	 echo "<option value='$x'> $x";
	 ?>
	 </select>
	 </td>
	</tr>	 
	<tr>
	<td><label style="color:#5C3C12">Sexo:</label><select name="sexo">
														   <option value="H">Hombre</option>
														   <option value="M">Mujer</option>
	 													   </select></td>	
	
	 </tr>													   
	 <tr height="50">
	 <td align="right"><label style="color:#5C3C12">Estado Civil:</label></td>
	 <td colspan="2">
	 	<?php 
	 		$qa = "SELECT * FROM edociv";
			$ca = mysqli_query($conexion, $qa) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
	 		$j=1;
			while($reg = mysqli_fetch_array($ca))
			{
			  echo "<input type='radio' name='edociv' value='$j'>".$reg['descripcion'].'<br />';
			  $j++;
			 }
	    ?></td>
	</tr>
	<tr><td colspan="3">Si posees un numero de cuenta donde puedamos depositarte todas tus ganancias escribelo a continuacion, primero elije el Banco a cual perteneces.</td></tr>
	<tr height="50">
	<td><label style="color:#5C3C12">Banco:</label> <select name="banco" onChange="mi_cuenta()">
	 <option value='0'> No tengo cuenta</option>
<?php 
	 $qa = "SELECT * FROM banco";
	$ca = mysqli_query($conexion, $qa) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
	 $j=1;
while($reg = mysqli_fetch_array($ca))
{
 echo "<option value='$j'>".$reg['nombre'].'</option>';
$j++;
}
?>
</select></td>			  													 			 													

	 													   
	<td colspan="2" align="center"><label style="color:#5C3C12">No. Cuenta:</label> <input type="text" disabled size="25" maxlength="25" name="cuenta" value="" style="font-family: Times New Roman"> </td>
	</tr>

   <tr>
   <br><br>
	<td><label style="color:#5C3C12">Beneficiarios</label></td>
	<tr><td colspan="3">En caso de que algo le ocurriese al titular  esta persona podra recoger sus beneficios RRB</td></tr>

    <td>
	 <label style="color:#5C3C12">Nombre:</label>
	 <input type="text" name="nombreben">
	  </td>
	  <td>
	 <label style="color:#5C3C12">Apellido Paterno</label>
	 <input type="text" name="apepb">
	</td>
	<td>
	 <label style="color:#5C3C12">Apellido Materno</label>
	 <input type="text" name="apepm">
	</td>
	<tr>
	</tr>
	<td>
	 <label style="color:#5C3C12">Parentesco</label>
	 <select name="parentesc">
     <option value="Madre">Madre</option>
     <option value="Padre">Padre</option>
     <option value="Conyuge">Esposo/a</option>
     <option value="Hermano">Hermano/a</option>
     <option value="Hijo">Hijo/a</option>
     <option value="Tio">Tio/a</option>
     <option value="Abuelo/a">Abuelo/a</option>

	 </select>	
	</td>
     <td>
     <label style="color:#5C3C12">Telefono</label>
     <input type="text" name="telefben">
	 <td>
	 <?php 

	 $rfctoben=mysqli_query($conexion, 'SELECT id_inver from inversionista where rfc = "'.$rfc.'"');

	 $rfctobene=mysqli_fetch_array($rfctoben);
    $rfcbb=$rfctobene[0];


	 ?>
     <input type="hidden" name="idpadre" value="<?php echo "$rfcbb" ?>" >
	 </td>

    </td>
    </tr>
  
	<tr><td colspan="3">Por &uacute;ltimo, necesitas elegir una contrase&ntilde;a para poder accesar al sistema.</td></tr>
	<tr><td><div id="caplock" align="center" style="visibility:hidden; color:#FF0000">OJO! MAYUSCULAS ESTA ACTIVADO.</div> </tr>
	<tr>
	<td><label style="color:#5C3C12">Contrase&ntilde;a:</label><input type="password" size="10" maxlength="13" name="psw1" onKeyPress="capLock(event);" value="" style="font-family: Times New Roman"></td>
	<td height="50" colspan="2"><label style="color:#5C3C12">Repetir Contrase&ntilde;a:</label><input type="password" size="10" maxlength="13" name="psw2" onKeyPress="return checkCapsLock(event,this);" value="" style="font-family: Times New Roman"></td>
	</tr>
	<tr height="100"><td colspan="3"><label style="font-weight:bold;color:#FF0000">Es muy importante que antes de darle click al boton Registrar revises todos tus datos, de lo contrario, quedar�s registrado de manera incorrecta y tendr�s problemas de acceso.</label></td></tr>
	<tr><td colspan="3" align="center" valign="middle"><input type="submit" value="Registrar" onClick="return ValidarForm(this.form)"></td></tr>
    <tr><td align='center' valign='middle'><input type='hidden' name='idinv' value='<?php echo $id;?>'></tr>
</table>
</form>
</body>
</html>